/*
GoSkola24API
Copyright (C) 2024, Zervó Zadachin

DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License version 3
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License version 3 for more details.

This program incorporates external libraries for certain functionalities.
These libraries are covered by their respective licenses, and their usage
agreements are as outlined in their respective documentation or source
code.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package types

// Holds data about a class, which is usually a group of people studying a subject together
type Class struct {
	Name                            string `json:"name"`                            // Friendly-name of the class
	ClassId                         string `json:"classId"`                         // UUID identifying the class
	AbsenceMessageNotDeliveredCount int    `json:"absenceMessageNotDeliveredCount"` // Purpose unknown
	IsResponsible                   bool   `json:"isResponsible"`                   // Purpose unknown
	IsClass                         bool   `json:"isClass"`                         // Purpose unknown
	IsAdmin                         bool   `json:"isAdmin"`                         // Purpose unknown
	IsPrincipal                     bool   `json:"isPrincipal"`                     // Purpose unknown
	IsMentor                        bool   `json:"isMentor"`                        // Purpose unknown
	IsPreschoolGroup                bool   `json:"isPreschoolGroup"`                // Purpose unknown
	Teachers                        any    `json:"teachers"`                        // Teachers for the class. TODO: MAKE TYPED
	SubstituteTeacherId             string `json:"substituteTeacherId"`             // Teacher ID of the substitute teacher, if any
	TeacherChangeStudents           int    `json:"teacherChangeStudents"`           // Purpose unknown
}
