/*
GoSkola24API
Copyright (C) 2024, Zervó Zadachin

DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License version 3
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License version 3 for more details.

This program incorporates external libraries for certain functionalities.
These libraries are covered by their respective licenses, and their usage
agreements are as outlined in their respective documentation or source
code.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package types

// Holds data about a teacher
type Teacher struct {
	FirstName  string `json:"firstName"`  // Teacher's first name
	LastName   string `json:"lastName"`   // Teacher's last name
	FullName   string `json:"fullName"`   // Teacher's full name, usually including their initials
	FriendlyId string `json:"friendlyId"` // Friendly-ID of the teacher, usually their initials
	TeacherId  string `json:"teacherId"`  // UUID identifying the teacher
	IsActive   bool   `json:"isActive"`   // Purpose unknown
	Integrity  bool   `json:"integrity"`  // Purpose unknown
	Reported   bool   `json:"reported"`   // Purpose unknown
	ReadOnly   bool   `json:"readOnly"`   // Purpose unknown
}
